#ifndef _Memory_h
  #define _Memory_h

  #include "Types.h"

  void *Memory_Get(uint);
  void Memory_Free(void *);

  #define Memory_GetM(v,t,s) (((v)=(t *)Memory_Get(sizeof(t)*(s)))!=0)

  extern uint vMemory_CurAlloc;
  extern uint vMemory_MaxAlloc;

#endif

